Loading...
Searching...
No Matches
RDKit::Descriptors::CrippenParamCollection Class Reference

singleton class for retrieving Crippen parameters More...

`#include <Crippen.h>`

## Public Types

typedef std::vector< CrippenParams > | ParamsVect

## Public Member Functions

ParamsVect::const_iterator | begin () const
ParamsVect::const_iterator | end () const
| CrippenParamCollection (const std::string &paramData)

## Static Public Member Functions

static const CrippenParamCollection * | getParams (const std::string &paramData="")

## Detailed Description

singleton class for retrieving Crippen parameters

Use the singleton like this:

    CrippenParamCollection *params=CrippenParamCollection::getParams();

If you have your own parameter data, it can be supplied as a string:

    CrippenParamCollection *params=CrippenParamCollection::getParams(myParamData);

You are responsible for making sure that the data is in the correct format (see Crippen.cpp for an example).

Definition at line 121 of file Crippen.h.

## Member Typedef Documentation

## ParamsVect

typedef std::vector<CrippenParams> RDKit::Descriptors::CrippenParamCollection::ParamsVect

Definition at line 123 of file Crippen.h.

## Constructor & Destructor Documentation

## CrippenParamCollection()

RDKit::Descriptors::CrippenParamCollection::CrippenParamCollection | ( | const std::string & | paramData | ) |

References RDKit::paramData.

Referenced by getParams().

## Member Function Documentation

## begin()

ParamsVect::const_iterator RDKit::Descriptors::CrippenParamCollection::begin | ( |  | ) | const

inline

Definition at line 126 of file Crippen.h.

## end()

ParamsVect::const_iterator RDKit::Descriptors::CrippenParamCollection::end | ( |  | ) | const

inline

Definition at line 127 of file Crippen.h.

## getParams()

const CrippenParamCollection * RDKit::Descriptors::CrippenParamCollection::getParams | ( | const std::string & | paramData = "" | ) |

static

References CrippenParamCollection(), and RDKit::paramData.

The documentation for this class was generated from the following file:

- Crippen.h